История изменений SpaceEngine

================================= Версия 0.9.7.3 === (12.04.2015) =================================

Главные изменения:
- Исправлена проблема совместимости с Windows XP
- Поддержка Oculus Rift DK2: отслеживание положения и Direct режим
- Тени на кольцах от других планет и лун
- Исправлен тайлинг текстур на планетах
- Обновлён каталог экзопланет, включены неподтверждённые кандидаты "Кеплера" в отдельном файле (всего более 5000 планет)
- Добавлено множество двойных и кратных звёздных систем, в том числе все с открытыми экзопланетами
- Система скинов интерфейса с возможностью переключения в меню настроек игрока

Астрономия:
- Добавлены спутники астероида (87) Sylvia
- Спутники астероидов классифицируются как карликовые луны
- Процедурная генерация массы и радиуса для планет из каталога, для которых эти параметры не указаны
- Автоматический расчёт орбитального периода в двойной системе (звезды или планеты), если в каталоге указаны только массы и большая полуось
- Автоматический расчёт приливного торможения и синхронизации в двойных звёздных системах
- Генерация отсутствующих наклонения орбиты и долготы восходящего узла планеты в двойной звёздной системе работает на основе данных об орбитах звёзд
- Снижена вероятность генерации колец у приливно-синхронизированных планет и лун
- Обновлены текстуры Марса и спутников Сатурна

Интерфейс:
- Обновлено меню поиска объекта: третья колонка с типом объекта, полоса прокрутки, более понятное управление (клавиатура и колёсико мыши для прокрутки), чувствительность к регистру
- Обновлены локализации
- Параметры "Сжатие текстур" и "Блики на линзах: Супер" удалены из меню графических настроек
- Антиалиасинг указателя выбранного объекта
- Текстуры курсора и маркеров для Режима карты перемещены в текстуру интерфейса
- Меню настроек видеозаписи: переключение между режимом записи в AVI и в скриншоты, настройки кодека и выбор Формата скриншотов
- Кнопка [F9] вызывает меню настроек видеозаписи, комбинация [Ctrl]+[F9] начинает и останавливает запись видео с выбранными настройками
- Убран стандартный биндинг кнопки [N] на включение/отключение ночных огней и эмиссионных текстур
- Новые фильтры планет в Браузере звёзд
- Солнечные затмения не отображаются в Браузере солнечной системы
- Рендер орбит отключается вместе с отключением рендера планет
- Добавлена новая музыка

Движок:
- Аппаратный VSync, если поддерживается
- Рендер галактик и туманностей в стандарте OpenGL 3.3
- Скайбокс для увеличения производительности внутри туманностей
- Удалены ненужные текстуры gal_part.png и aurora_part.png
- Собрано с Oculus SDK 0.4.4
- Новая система ограничения использования видео памяти
- Уменьшение контраста планет, которые малы на экране
- Текстура осадочных слоёв на крутых горных склонах
- Более реалистичные песчаные дюны
- Конические вулканы
- Разрешение окна может быть установлено в меню настроек дисплея на максимальное разрешение, поддерживаемое устройством
- Режим записи видео в массив скриншотов
- Файлы видеозахвата сохраняются в папку screenshots/capture/
- Селена - мир с атмосферным давлением <1 мбар
- Улучшен рендеринг атмосфер с низким давлением (тонкая дымка, селены и ледяные миры)
- Полярным сияниям добавлены детали и динамика 
- Улучшена производительность рендера кометных хвостов

Исправления ошибок:
- Исправлены почти все проблемы совместимости Intel HD
- Исправлено падение при открытии меню настроек дисплея
- Исправлен баг с очень горячими карликовыми лунами
- Исправлен звук кнопок в главном меню и положение папки скриптов автопилота
- Исправлен баг с текстом "(null) 3.1 (null)" на окне  сообщение о критической ошибке
- Исправлен краш на ATI в режиме Oculus Rift
- Исправлена слишком долгая генерация рельефа на ATI и Intel
- Исправлен артефакт с видимым краем скайбокса вблизи центра галактики или туманности
- Исправлен баг с одинаковым осевым наклоном 57 градусов у всех одиночных звёзд в Wiki
- Исправлен баг в коде панспермии жизни
- Исправлены глюки в меню поиска по имени: подсветка выбранной строки, авто прокрутка, отсутствующие имя родителя для некоторых объектов
- Исправлено неправильное определение физического объёма видеопамяти на ATI
- Исправлен баг с использованием одной единственной модели планетарной туманности в каждой галактике
- Исправлено обрезание изображения туманности при рендере в импостор
- Исправлено баг с игнорированием размера звёзд, установленного в меню графических настроек, при запуске программы
- Исправлена смена цвета Lens Flare в режиме "норм"
- Исправлено исчезновение спрайтов тусклых коричневых карликов, освещённых главной звездой
- Исправлено исчезновение спрайтов горячие астероидов и карликовых лун
- Большее значение ClipZNear, чтобы уменьшить z-файтинг
- Исправлен баг с приливным разогревом спутника Dactyl
- Исправлен баг с отсутствием каньонов и рек
- Исправлено игнорирование параметра Temperature/Teff в каталоге звёзд
- Исправлена баг с выбором и перелётом к планетам и звёзд с одинаковым именем (планеты 'b' и звезды 'В' в одной и той же системе)
- Исправлен экстремальный нагрев планет холодных (тип Т) коричневых карликов
- Исправлена неправильная ориентация кометного хвоста в системе двойной планеты
- Исправлен выбора объекта курсором в системе двойной планеты
- Исправлен сброс периода вращения до 1 дня у звёзд из каталога с орбитой "Static"
- Исправлен баг с цветом и температурой белых карликов


================================= Версия 0.9.7.2 === (26.12.2014) =================================

Главные изменения:
- Поддержка Oculus Rift
- Поддержка 3D-мониторов и телевизоров (анаморфная стерео пара, затворная технология)
- Поддержка 3D анаглифных очков
- Поддержка джойстиков и геймпадов, возможно подключение несколько устройств сразу
- Анимированные процедурные короны звёздная
- Новый рендер звёзд
- Ночные текстуры на планетах: городские огни, лава
- Тепловое свечение планеты и облаков, основанное на приливного разогрева, нагреве солнцем, молодого возраста планеты
- Вулканы с потоками лавы
- Расплавленные лавовые планеты и спутники
- Обновлены саундтреки
- Выбор некоторых единиц измерения: парсеки/световые года, километры/мили, градусы Кельвина/Цельсия/Фаренгейта
- Hapke BDRF: эффект оппозиция на пыльных планетах
- Режим сравнения размеров планет, лун и звёзд системы

Космические корабли:
- Предустановленные позиции камеры
- Управление тормозными двигателями
- Новые модели кораблей

Астрономия:
- Величина ESI рассчитывается, используя среднюю температуру поверхности планеты, и не меняется с течением времени
- Улучшенные солнечные пятна
- Обновлены текстуры для многих объектов Солнечной системы
- Добавлены кольца астероида/кентавра Харикло
- Новые текстуры процедурных облаков
- Обновлён внешний вид коричневых карликов
- Новая "фиолетовая" модель атмосферы для коричневых карликов и некоторых планет
- Новая физическая модель планетных атмосфер (2 слоя: адиабатическая тропосфера и изотермическая стратосфера)
- Высоты на газовых гигантах отсчитываются от уровня атмосферы с давлением в 1 атмосферу (~ 1 бар)
- Процедурная генерация долгот восходящего узла орбит в каталожных системах для планет с неизвестным восходящим узлом, основанная на планетах с известным восходящим узлом
- Улучшен расчёт температуры на планете: учитывается внутреннее тепло и приливной разогрев
- Светящиеся горячие планеты освещают соседние объекты
- Более точные вероятности генерации белых карликов, нейтронных звёзд и чёрных дыр
- Красные гиганты теперь имеют 100% вероятность генерации горячих планет
- Ледяные спутники менее 400 км в диаметре и скалистые менее 600 км классифицируются как астероиды и карликовые луны
- Улучшена зеркальный блик на льду на террах и пустынях
- Крупномасштабные вариации альбедо поверхности процедурных планет
- Высота ледников над уровнем моря рассчитывается на основе модели атмосферы
- Повышенная детализация астероидов
- Новая параметр скрипта планеты "Panspermia" для определения того, что жизнь возникла не на этой планете
- Поле "Происхождения жизни" в Wiki описывает, как возникла жизнь на этой планете
- Имена карликовых спутников заменены на форму типа "3.D4"
- Более реалистичная генерация плотности планет

Интерфейс:
- Улучшенное качество эффекта гравитационной линзы чёрных дыр и варп поля кораблей
- Анимированный указатель выбора
- Простой редактор GUI (отладочная функция)
- Давление и температура воздуха в месте расположения пользователя отображается в информационной панели объекта и в Wiki
- Страницы Wiki обновляются автоматически после изменения выбранного объекта
- Страницы Wiki не переключаться после изменения выбранного объекта или открытия/закрытия Wiki
- Более компактное окно Wiki
- Возможность выбора формата скриншота в меню настроек игрока
- Главное меню масштабируется под любое разрешение экрана
- Фильтр по параметрам планеты и звезды Браузере звёзд
- Обновлённая текстура интерфейса
- Обновлены панели инструментов
- 3 состояния кнопки фиксации на нижних панелях инструментов: зафиксировано, наполовину скрыто и скрыто
- Добавлены кнопки Главного меню и меню настройки дисплея на левую панель инструментов
- Обновлена панель управления корабля
- Высота центра в режиме Fish Eye может быть настроена
- Выбор объектов работает в режиме Fish Eye
- Новые курсоры мыши на основе текстуры
- Множество визуальных улучшений в Режиме карты
- Расширенное меню настроек дисплея, проекции и 3D режима
- Расширенное меню настроек управления, с возможностью настройки всех осей мыши и джойстиков и всех кнопок джойстиков
- Размер коричневых карликов в Браузере планетной системы теперь в шкале размеров планет, а не звёзд

Движок:
- Множество оптимизаций в ядре движка
- Улучшенный менеджер памяти
- Некоторые шейдеры переписаны на GLSL 3.3 core profile
- Уменьшено количество шейдеров планет
- Форсирован режим HDR и эффект Bloom
- Оптимизирован код Lens flare
- Более детальная настройка LOD для планет
- Реализована файловая система из pak файлов (zip архивы)
- Стандартные текстуры и аддоны теперь в pak файлах
- Новая система обновления/аддонов для каталогов
- Значительно повышена скорость загрузки каталогов
- Реализованные отдельные наборы текстур для RGB и альфа или старшего и младшего байта карты высот для планет
- Метка времени пишется в лог-файл
- Настройки минимального расстояния процедурных звёзд и коричневых карликов в конфиге
- Возможность редактирования параметра барицентра в редакторе планет
- Консольные переменные для управления курсором мыши: "HardwareCursor" и "HideCursor"
- Параметры цвета поверхности для газовых гигантов и коричневых карликов переименованы в colorLayer0 ... colorLayer7
- Палитры для газовых и ледяных гигантов делятся на 7 диапазонов в зависимости от их температурного класса
- Палитры для коричневых карликов разделены на 3 диапазона в соответствии с их спектральным типом (L, T, Y)
- Поменялись местами грани neg_z и pos_z в функции экспорта скайбокса
- Добавлен параметр вращения всей модели корабля в его конфиг и в редактор
- Улучшен код переноса жизни панспермией, новые параметры вероятностей в universe.cfg
- GUI окна не меняют своё положение при изменении размеров окна SE
- Добавлен параметр "ModulateColor" в скрипты планеты - можно изменить цвет текстур планеты или прозрачность текстур облаков
- Параметры скрипта планеты "Exposure" для поверхности, облаков и океана заменены одним глобальным параметром "Brightness"
- Параметры скрипта планеты "Exposure" для колец заменён параметром "Brightness"
- Добавлен "стабильный" motion blur звёзд (длина "хвоста" не зависит от частоты кадров), можно настроить в config/user.cfg или в консоли
- Частицы одиночных чёрных дыр теперь невидимы
- Ускоренный рендер частиц планет и кораблей
- Обновлён SolarSys3000.sc
- Убрано сообщение об ошибке, если файл локальной базы данных не был найден
- Добавлены консольные переменные для высоты обнаружения столкновений с рельефом, расстояния до ближней плоскости отсечки, меток в логе, длины Motion blur звёзд и многих других (см. docs/console.txt)

Исправления ошибок:
- Исправлен баг с островами на океанидах
- Исправлена загрузка текстур кораблей и lens flare в Immediate режиме загрузки
- Исправлен баг, при котором реальные нейтронные звёзды могут иметь очень низкие температуры
- Исправлен расчёт предела Роша
- Хак с артефактом края экрана для гравитационных линз
- Исправлены ошибки округления слайдеров (застревание на определённых значениях при прокрутке слайдера с помощью кнопок со стрелками)
- Исправлен баг не сохранения настроек осей мыши
- Исправлен баг со слишком высокой скоростью облаков на приливно-синхронизованных планетах и лунах
- Исправлен баг с облаками на реальных планетах с низким атмосферным давлением
- Исправлены проблемы с полноэкранным режимом, если разрешение дисплея изменилось
- Исправлен баг с генерацией процедурных звёзд бесконечной светимости
- Исправлена ошибка в реализации FXAA
- Исправлены некоторые баги в работе редактора планеты
- Исправлены некоторые баги в коде бликов
- Исправлено автоматическое привязываение камеры к планете после управления кораблём
- Исправлен сброс углов элеронов/руля высоты, контролируемых мышью, после использования управления с клавиатуры
- Исправлен код precomputed atmospheric scattering
- Исправлена обрезка орбит в Режиме карты
- Исправлен баг "микрокольцом" обломков - астероиды на одной орбите с лунами
- Исправлен баг "квадратная звезда"
- Исправлен баг "розовые кольца"
- Исправлены некоторые баги с тенями затмений
- Исправлена генерация мипмапов текстур планет и кораблей
- Исправлен баг с закрытием Режима карта
- Исправлен режим рендеринга lens flare, когда корабль идёт в варпе на автопилоте
- Исправлено появление "отрицательного" lens flare, когда камера близко к звезде
- Исправлена неправильная ориентация экватора звезды по отношению плоскости планетной системы
- Исправлены некоторые ошибки в генераторе планетарной системы
- Исправлен баг с дыркой в красных гигантах
- Исправлено падение при первой генерации модели туманности
- Исправлена ошибка в генерации класса процедурных белых карликов
- Исправлен баг с размыванием шрифта
- Исправлен баг с переходом кораблей в межзвёздный режим в планетных системах в звёздных скоплениях
- Исправлены лаги, вызванные обновлениями физики корабли 
- Исправлен артефакт "звезда в барицентре двойной системы"
- Исправлен рендер звёздных скоплений, галактик и туманностей в Wiki
- Исправлено пропадание изображения в Wiki после выбора барицентра
- Исправлены параметры вращения спутников
- Исправлена плотность небольших планет
- Исправлена плотность карликовых лун и проверка предела Роша
- Исправлен баг со слайдером количества частиц полярных сияний в редакторе планет
- Исправлен баг с загрузкой DXT1 текстур и неправильным рендером ферм модульных кораблей

================================= Версия 0.9.7.1 === (26.12.2013) =================================

Главные изменения:
- 3D вода: анимированные блики, подводный туман
- Улучшенный генератор процедурных систем спутников
- Обломочные кольца вокруг планет
- Новые формы рельефа: псевдореки, щитовые вулканы
- Музыкальный плеер с плавным микшированием, контекстным переключением треков, режимами повтора и другими возможностями
- 25 оригинальных саундтреков, написанных несколькими авторами
- "Умное" смешивание детальных текстур ландшафта
- Детальная шумовая текстура на поверхности планеты
- Новые типы миров с жизнью, улучшенная классификация форм жизни
- Множество улучшений космических кораблей
- Быстрый многопоточный браузер звёзд: использует все ядра процессора для генерации систем и не уменьшает FPS
- Добавлены нидерландская, польская, португальская, румынская, словацкая, турецкая, чешская и шведская локализации
- Установщик SpaceEngine с автоматическим выбором локализации

Космические корабли:
- Поддержка светящихся текстур
- Поддержка модульных моделей
- Обновленный Менеджер Кораблей: возможность строить, переименовывать и уничтожать корабли, сортировать таблицы по любому столбцу
- Упрощённая установка аддонов: просто скопировать файлы в папку SpaceEngine, и новые корабли станут доступны в меню строительства Менеджера Кораблей
- Некоторые старые модели кораблей заменены на модульные
- Новые корабли "SS Basic", "SS Cargo", "SS Science", "Fire Dragonfly" и "Skylone"
- Вычисление кеплеровых элементов орбит и рендер орбиты корабля
- Физика полета в атмосфере
- Панель Управления кораблём с кнопками автопилота
- ИЛС (индикатор лобового стекла) для режимов полета в атмосфере и в космосе
- Корабли могут иметь главные (маршевые) двигатели, обратные (тормозные) двигатели, двигатели вертикального взлёта-посадки, и маневровые двигатели, которыми можно управлять независимо
- Новая система управления кораблём: вращение с помощью мыши, изменение тяги главных двигателей и двигатели вертикального взлёта-посадки с помощью колёсика мыши или на Панели Управления, клавиши WASD контролируют только маневровые двигатели
- Дополнительные параметры в файле конфигурации корабля (тяга двигателей, гиперпривод, аэродинамика)
- Улучшенный автопилот: команды ориентации (Prograde, Retrograde, и т.д.), а также автоматический гиперпрыжок к выбранной планете
- Режимы физики кораблей: моделирование и кеплерова орбита (не доделаны, режимы переключаются на Панели Управления)
- Режим статичной кеплеровой орбиты для космических станций искусственных спутников
- Улучшенный эффект варп-пузыря

Астрономия:
- Улучшенная классификация жизни: новые типы форм жизни и биомов, новые виды обитаемых миров, новые параметры в скриптах
- Уменьшена плотность звёздных остатков (чёрных дыр, нейтронных звёзд и белых карликов)
- Обновлен каталог экзопланет
- Улучшенный звёздный калькулятор (вычисление необходимых параметров на основе тех, что приведены в скрипте)
- Новый параметр Msini (М * sin(i)) в скрипте планет - используется вместо массы для экзопланет, для которых известно только с M * sin(i)
- Процедурная генерация наклонения орбит в каталожных системах для планет с неизвестным наклонением, основанная на планетах с известными наклонениями
- Вычисление фактической массы планеты на основе заданного M * sin(i) и сгенерированного наклонения орбиты
- Новые параметры в скрипте планет - метод обнаружения, дата открытия и дата последнего обновления данных
- Новые строки в информационном таблице планеты - метод обнаружения, дата открытия и М * sin(i)
- Поддержка формата "HH MM SS" и "DEG ММ SS" для параметров RA и Dec для галактик, звёздных скоплений и туманностей
- Новые текстуры и рельеф Весты, Меркурия и Сатурна
- Новые модели галактик и туманностей
- Увеличена турбулентность на облаках процедурных газовых гигантов

Интерфейс:
- Обновлен вид таблиц
- Обновлено меню параметров дисплея: опции переключения в полноэкранный режим, выбор разрешения в полноэкранном и оконном режиме, VSync, уровень анизотропной фильтрации
- Разные ширины колонок в таблице Звёздного браузера
- Зеленый текст в Браузере планетной системы показывает, что на объекте есть жизнь, или он имеет спутники с жизнью
- Обновлены локализации и добавлены новые
- Счетчик FPS включается или выключается через консоль командной "FPS"
- Изменён цвет орбит, маркеров и меток карликовых планет и карликовых лун
- В режиме редактирования на экране отображается справка о клавишах
- Некоторые улучшения в Редакторе Планет

Управление:
- Запись видео с GUI при нажатии [Ctrl]+[F9]
- Слайдеры в Редакторе планет не прокручиваются колёсиком мыши
- Кнопка закрытия на окне Браузера планетной системы
- Текущее поле зрения учитывается при выборе положения камеры позади корабля
- Режим обзора при нажатии средней кнопки мыши; при отпускании кнопки камера возвращается в первоначальное положение
- Улучшенное Меню настроек управления: бинд кнопок и осей мыши, независимые бинды для планетария и управления кораблём

Движок:
- Атласы детальных текстур ландшафта объединены в единый атлас
- Настраиваемые цветовые палитры для процедурных планет
- Автоматический расчёт смещения модели корабля для центрирования
- Окно SpaceEngine сохраняет свои размеры, расположение и состояние полноэкранного режима в конфиге и восстанавливает их при следующем запуске
- Новая функция звёздной величины в Режиме Карты: легче найти тусклые звёздные объекты
- Поддержка диффузных RGBA текстур для кораблей с попиксельной экспонентой блика в альфа-канале
- Поддержка цветных RGBA текстур бликов для кораблей с попиксельной экспонентой блика в альфа-канале
- Поддержка цветных RGB эмиссионных текстур для кораблей
- Экспериментальная поддержка логарифмического Z-буффера
- Текстура фона меню сохраняется в папке config
- Файл stars120k.txt переименован в stars120k.cfg

Исправление ошибок:
- Исправлен баг "скучные текстуры ландшафта" (неправильная индексация детальных текстур на процедурных планетах)
- Исправлен баг с генерацией миров с жизнью только в двойных и кратных звёздных системах
- Исправлен баг с отключением процедурных двойных и кратных звёзд при установке в конфиге "StarProcBifurcation false"
- Исправлен баг "скучные текстуры планет" и баг с "пустынной террой с жизнью"
- Исправлен баг с невозможностью отключить VSync
- Исправлен баг с счётчиком лун на вкладке общей информации Вики
- Исправлен баг с счётчиком лун с жизнью в таблице информации о планете
- Исправлен баг с счетчиком кратности звезды
- Исправлены ошибки с поиском ближайших звёзд (в звёздных скоплениях и галактическом гало)
- В Режиме Карты Звездный браузер осуществляет поиск вокруг центра карты, а не вокруг положения камеры
- Убран двойной слэш в сообщении "Сохранение screensots//scrxxxx.xxx"
- Удалён дубликат Фомальгаута
- Удалено неверное имя "Fomalhaut B" у звезды TW PsA/Gliese 879
- Исправлены некоторые другие ошибки в каталогах
- Исправлена неправильная светимость Солнца (0.9) в таблице информации и в Wiki
- Исправлены артефакты, когда окно растягивается на больший или дополнительный монитор
- Исправлены ошибки с проекцией рыбий глаз
- Исправлены различные ошибки в Звёздном браузере
- Исправлено снижение производительности после использования Звёздного браузера
- Исправлено падение при поиске по имени несуществующей звезды в звёздном скоплении
- Исправлена неправильная информация о наклоне оси Земли и других планет, обращающихся вокруг барицентра
- Исправлен  неправильный параметр наклона оси при экспорте скрипта системы
- Исправлена абсолютная величина кометы Галлея
- Исправлено падение при включении рендера траектории космического корабля
- Исправлена ошибка, когда "тёплый ледяной мир" печатался как как "теплый ледяной гигант"
- Меню Настроек управления и контекстное меню правильно переключает локализацию
- Исправлены опечатки на координатной сетке
- Исправлена некорректная ориентации камеры на старте, если последним объектом привязки был космический корабль
- Исправлены некоторые проблемы с кэшем VRAM (мигающие звёзды и т.д.)
- Исправлена музыкальный плеер
- Исправлена небольшая размытость шрифта и GUI
- Исправлены проблемы с ориентацией галактик
- Восстановлен бамп облаков
- Исправлена ошибка с отсутствием циклонов на газовых гигантах
- Исправлена асинхронная загрузка шейдеров
- Исправлена ошибка с черной точкой, рисуемой поверх звезды в режиме "точки"
- Исправлена ошибка с ярко-голубыми полосами в хвостах испаряющихся планет
- Исправлено появление неправильных текстур на планетах во время загрузки/генерации
- Исправлена ошибка с неправильным позиционированием камеры относительной корабля во время гиперпрыжка
- Исправлена невозможность выбрать спутники внутри тени планеты
- Устранён разрыв в карте нормалей на моделях кораблей

================================= Версия 0.9.7.0 === (01.05.2013) =================================

Главные изменения:
- Полярные сияния
- Кометы и испаряющиеся планеты
- Улучшенный рендер межзвёздной пыли в галактиках 
- Сплюснутые у полюсов планеты и звёзды, автоматический расчет величины сжатия
- Гравитационное потемнение дисков сплюснутых звёзд
- Более разнообразные кольца планет, увеличена цветовая насыщенность
- Несколько слоёв облаков на землеподобных и газовых планетах
- Сглаженные текстуры газовых гигантов
- Динамические lens flare, с возможностью выбора пресета в меню
- Планеты и луны освещают друг друга своим реальным цветом
- Браузер звёзд - построене списка ближайших звёзд с возможностю сохранения файл
- Импорт моделей кораблей в формате OBJ с библиотекой материалов и множественными текстурами
- Встроенная wiki-система
- Возможность давать имена и описания планетам и другим объектам
- Улучшена производительность на планетах
- Многопоточная загрузка/генерация ресурсов
- Выбор языка интерфейса в меню, изменение применяется без перезапуска
- Локализация на русский, английский, немецкий, французский, итальянский, испанский, португальский и финский языки

Астрономия:
- Индекс ESI (Earth Similarity Index) в информации о планете
- Более точные функции зависимости радиуса от массы для газовых гигантов и коричневых карликов
- Уменьшена толщина атмосферы на землеподобных планетах
- Инвертированы текстуры красных гигантов
- Больше пятен на красных карликах
- Тусклые звёзды обесцвечиваются (симуляция цветовой чувствительности глаза)
- Поддержка неограниченного числа слоёв облаков в для каталожных планет
- Настройка в конфиге максимального числа слоёв облаков на землеподобных и газовых планетах
- Динамическая модель Юпитера (11 слоёв облаков)
- Консольная переменная для изменения скорости движения облаков (set CloudsSpeed xxx)
- Уменьшен радиус процедурных ледяных гигантов
- Эффект гравитационной линзы у белых карликов
- Множественные модели галактик каждого типа по классификации Хаббла для процедурных галактик
- Множественные модели туманностей каждого типа для процедурных туманностей
- Упрощённая система установки модов новых моделей галактик и туманностей
- Новые модели галактик
- В русской локализации переведены имена всех звёзд, планет и спутников Солнечной системы
- Обновлены каталоги комет, астероидов и экзопланет

Интерфейс:
- Контекстное меню при клике по объекту правой кнопкой мыши
- Тени под текстом
- Маленький значок загрузки вместо прогресс бара
- Курсор мыши меняет форму в зависимости от ситуации (крестик в космосе, стрелка в интерфейсе, и т.д.)
- Прокручивание таблиц и слайдеров колёсиком мыши
- Кнопка "Текущий" в диалоге поиска объекта по имени для вставки имени текущего выбранного объекта
- Каждая планета, звезда и барицентр в системе имеет счётчик спутников с жизнью в информационной таблице
- Различные улучшения Карты Вселенной
- [F1] открывает Карту Вселенной для выбранной системы, [Ctrl]-[F1] для текущей
- [F2] открывает Браузер Солнечной Системы для выбранной системы, [Ctrl]-[F2] для текущей
- Эффекты HDR, Bloom и FXAA в иконках Браузера Солнечной Системы
- Реальная яркость планет может быть отключена в Браузере Солнечной Системы
- Красные гиганты и астероиды рендерятся с 3D рельефом в Браузере Солнечной Системы
- Правый клик на корневой звезде или барицентре в Браузере Солнечной Системы выбирает саму звёздную систему
- В wiki-описании объектов поддерживаются некоторые BB-коды
- Простые кавычки " " автоматически заменяются на угловые « » в некоторых формах ввода текста
- Печать альбедо / вычисленной яркости и цвета планеты в режиме Edit
- Логарифмическая шкала для некоторых слайдеров в Редакторе Планет
- Уменьшена ширина зоны, при наведении на которую открываются панели инструментов
- Кнопки пина на панелях инструментов
- Сохранения состояния панелей инструментов в конфиге пользователя
- Возможность закраски океанов в меню Экспорта текстур планеты
- Обновлено меню Экспорта текстур планеты
- Обновлено меню графических настроек

Управление:
- Изменено управление мышью
- Кнопка [End] поворачивает камеру горизонтально
- Новые консольные команды
- Указатель скорости в режиме планетария
- Плавная остановка движения и вращения камеры при нажатии Z, X или Num 5 в режиме планетария
- В инфо о планете с морями пишется текущая высота над ландшафтом или уровнем моря (отрицательные значения - под водой)
- Команда приземления осуществляет приземление на высоту 10 м над ландшафтом или уровнем моря
- Кнопка [G] в Игровом режиме перемещает управляемый корабль к выбранному объекту
- Эффект варпа для кораблей

Движок:
- Автоматический выбор чипа NVidia в системах с гибридной графикой (NVidia + Intel HD)
- Автоподбор некоторых настроек при смене оборудования
- Автоматическа очистка кэша при смене оборудования
- Обновлён кэш моделей галактик, теперь они учитываются менеджером памяти
- Обновлён кэш текстур и моделей кораблей и зданий, теперь они учитываются менеджером памяти
- Сохранение откомпилированного двоичного кода шейдеров в кэш и быстрая загрузка из него (NVidia)
- Загрузка всех шейдеров при запуске (опция)
- При записи видео интерфейс виден на экране, но в видео не записывается
- Поддержка формата gray + alpha PNG
- Поддержка формата TIFF для текстур и скриншотов
- Поддержка звука в формате WAV и OGG
- Встроенный музыкальный плеер для файлов OGG
- Автоматическое включение и отключение вертикальной синхронизации в зависимости от частоты кадров
- Изменена структура папок

Исправление ошибок:
- Исправлен баг с плоским ландшафтом на Intel HD
- Устранен артефакт ступенчатого цвета на рельефе и воде
- Консольная команда "disable" работает
- Исправлен баг с туманностями, просвечивающими сквозь планету
- Устранено ускорение вращения корабля при инверсии времени
- Исправлен баг с "межгалактическим" режимом кораблей в некоторых областях Млечного Пути
- Исправлен баг с Motion Blur звёзд
- Исправлен баг с очень маленькими лунами с атмосферами
- Исправлен автобиндинг камеры
- Исправлен баг с одинаковой массой всех коричневых карликов
- Исправлен баг с неправильным цветом Lens flare на краю экрана
- Исправлен баг с Землёй, полностью покрытой водой
- Исправлен баг с вводом минут и секунд на панели управления временем
- Исправлен баг с исчезающими блоками процедурных звёзд в галактиках
- Исправлен баг с миганием планеты, когда включено Autoexposure
- FXAA работает при отключении Bloom
- Исправлен баг с "квадратными звёздами" при включенной реальной яркости солнц
- Исправлен неправильный возраст звёзд в кратных системах
- Исправлен баг со звёздами, генерирующимися за границами звёздных скоплений
- Исправлен баг с неправильной индикацией числа планет у звёзд
- Исправлен баг с неправильным индикацией числа планет с жизнью у звёзд
- Исправлен баг в двойных системах, когда меньший компонент имеет большую массу => уменьшилось количество коричневых карликов
- Исправлено усечение некоторых вращательных и орбитальных параметров планеты при начале редактирования в Редакторе планет
- Исправлен неправильный расчёт радиусов коричневых и белых карликов
- Уменьшен алиасинг звёзд
- Исправлен баг с генерацией/обновлением моделей атмосфер
- Исправлен баг с мигающими белыми пятнами на облаках

================================= Версия 0.9.6.2 === (28.07.2012) =================================

Изменения и добавления:
- Поддержка использования более 2 Гб оперативной памяти (Large address aware)
- Улучшен менеджер памяти
- FXAA антиалиасинг
- Уменьшена скорость вращения кнопками Q и E, настройка скорости вращения по разным осям в конфиге
- При попытке управления кораблями при остановленном времени выводится напоминание, что время остановлено
- Новый (пятый) спутник Плутона
- Новые модели галактик: M 104 (Сомбреро), NGC 4921, AM 0644, Arp 273
- Новые модели туманностей
- Консольные команды для преобразования файлов текстур в разные форматы
- Стандартное поле зрения 45 градусов
- Обновлён список локаций

Исправление ошибок:
- Исправлена утечка памяти при генерации галактики без туманностей или звёздных скоплений
- Исправлено непоявление кораблей при телепортации, когда время остановлено
- Устранено несколько причин падений, связанных с кораблями
- Исправлен баг с генерацией планет с жизнью только у двойных и кратных звёзд
- Убраны "призрачные lens flare"
- Исправлен баг с рендером BBox-ов ландшафта
- Исправлены резкие границы облаков

================================= Версия 0.9.6.1 === (07.07.2012) =================================

Изменения и добавления:
- Поглощение света в атмосфере действует на ночной стороне планеты
- Частота итераций физики может быть настроена в конфиге

Исправление ошибок:
- Исправлены шейдеры планет у одиночных чёрных дыр
- Исправлено использование шейдера планеты с кольцом абсолютно для всех планет
- Исправлен возраст Солнечной системы и некоторых других звёзд
- Исправлены модели кораблей StarShip и ShreckShip
- Исправлены настройки использования мипмаппинга

================================= Версия 0.9.6.0 === (05.07.2012) =================================

Изменения и добавления:
- Новая система координат и камера
- Режим Карты Вселенной
- Консоль, различные консольные команды позволяют менять настройки, также есть команды, дублирующие функции автопилота
- Консольные команды могут исполняться из файла - возможно создание скриптов, управляющих полётом
- Обновлены каталоги карликовых планет, экзопланет, ближайших звёзд и т.д.
- Несколько новых моделей галактик, новые текстуры для некоторых объектов Солнечной системы
- В информацию о звезде добавлен счётчик количества планет с жизнью
- Существенно увеличена производительность в плотных областях галактик (ядро и спиральные рукава)
- В режиме орбитального обзора вращение происходит всегда вокруг текущего объекта, а не выбранного
- Отображение векторов планет: собственной оси X, направления на родительское тело, и барицентрической скорости
- Проверка столкновений камеры с любой планетой
- Управление движением космических кораблей, гравитация, столкновения с поверхностью планет
- Процедурные галактики с крупномасштабной структурой Вселенной и эффектом красного смещения
- Поддержка карт в формате *.map (редактор Radiant от игр на движке Quake) - для зданий и интерьеров кораблей (карты пока доступны как отдельные сцены через консоль)
- Антиалиасинг границ облачного слоя планет
- Новые формы рельефа планет
- Плавный переход между текстурами разных материалов на поверхности планеты
- Изменён алгоритм расчёта детализации планет - вблизи камеры детализация всегда высокая (как при LOD 0) для любого LOD
- Функция экспорта скайбокса (панорамный скриншот)
- Функция экспорта текстур процедурных планет
- Редактор процедурных параметров планеты с функцией экспорта скрипта
- Оптимизирован интерфейс, перемещение активного окна на передний план, анимация окон
- Новый дизайн интерфейса
- Главное меню в стиле компьютерных игр
- Различные панели управления
- Настроки браузера планетной системы
- Меню настройки клавиш и сохранение их в конфиг
- Кнопки "Копировать" и "Вставить" в меню локаций - для более удобного обмена координатами через форум
- Поддержка буффера обмена Windows в полях ввода текста (Ctrl-C, Ctrl-V), например в меню поиска объекта по имени (F3)
- Реальная яркость планет (зависимость освещённости от расстояния до солнца)
- Белые карлики, нейтронные звёзды, чёрные дыры - одиночные и в кратных звёздных системах
- Двойные газовые гиганты
- Новая модель атмосферы с зелёным оттенком
- Новый класс планет - Титан (ледяной мир с морями из углеводородов)
- Полностью покрытые облаками планеты - венероподобные жаркие пустыни и Титаны
- Автоматическая процедурная генерация атмосферы, облаков, воды и колец у планет каталога, если эти параметры не указаны в скрипте
- Динамичные солнечные короны
- Настройки вероятности генерации двойных и кратных звёзд, звёздных остатков, коричневых карликов, газовых гигантов и пр. в конфиге

Исправления ошибок:
- Исправлено несколько ошибок в коде экспорта планетных систем
- Исправлено "покраснение" звёзд при очень большом увеличении
- Устранено "посинение" солнца на закате
- Исправлен баг с чёрными точками на краю диска планеты (в т.ч. в браузере планетной системы)
- Устранены падения из-за лишней генерации планетных систем в туманностях
- Исправлен отброс камеры на бесконечность при первом контакте с планетой или звездой
- Исправлен баг с генерацией очень маленьких землеподобных планет и лун с океаном (Терра)
- Уменьшен размер ударных бассейнов и подавлена их генерация на больших Террах
- Исправлена чрезмерно плотная облачность на Океанидах
- Исправлен баг с параметром NoPlanets в каталоге звёзд
- Убран lens flare у чёрных дыр
- Исправлена слишком частая генерация газовых/ледяных гигантов как ближайшей к звезде планеты
- Уменьшены артефакты атмосферы на горизонте
- Устранён блочный артефакт распределения звёзд в галактиках

================================= Версия 0.9.5.1 === (18.11.2011) =================================

Исправления ошибок:
- Исправлен баг с чёрным экраном при сворачивании/разворачивании программы

================================= Версия 0.9.5.0 === (17.11.2011) =================================

Изменения и добавления:
- Маркеры для объектов планетной системы
- Рендер солнц с реальной яркостью (отключаемая опция)
- Улучшенный эффект Lens Flare для солнц
- [Ctrl]+[колёсико мыши] меняют скорость аналогично [Ctrl]+[+] и [Ctrl]+[-]
- Включение записи видео [F9] автоматически устанавливает режим Frame Time для получения гладкого видео
- В режиме записи видео скриншоты сохраняются в папку "screenshots/capture", старые затираются
- Скриншоты сохраняются без изображения элементов интерфейса
- В менеджер памяти добавлен учёт использования оперативной памяти
- Добавлен новый спутник Плутона
- Проверка версии OpenGL при запуске
- Экспериментальная загрузка моделей кораблей
- Поддержка параболических и гиперболических орбит
- Плотная атмосфера выравнивает климат на планете (сглаживается разница между экватором и полюсом)
- Приливно-синхронизованные планеты (всегда обращённые одной стороной к солнцу)
- Гигантский циклон в подсолнечной точке приливно-синхронизованных планет
- Океаниды (планеты, целиком покрытые океаном)
- Ледяная шапка имеет не плоский рельеф
- Холмы на равнинных участках планет
- Улучшение формы гор
- Ускорение генерации ландшафта
- Детальные фотографические текстуры на ландшафте
- Возможность отключить (скрыть) воду на процедурных планетах
- 3D вода как отдельный прозрачный слой (пока что без волн/отражений/преломлений)
- Коричневые карлики
- Обновлён каталог внесолнечных планет
- Небольшие изменения интерфейса
- Настройка времени ускорения/замедления клавиш управления в user.cfg
- Настройка предустановок скорости полёта в user.cfg
- Экспорт планетных систем в скрипт-файл
- Проверка столкновений камеры с поверхностью
- Автоматическое переключение режимов сопровождения планет (Синхронное движение / Синхронное вращение)
- Новые модели галактик

Исправления ошибок:
- Исправлен баг с чёрным экраном при запуске
- Исправлено отсутствие текстур интерфейса и прочего при запуске (ошибка работы менеджера памяти со старыми драйверами)
- Исправлено неправильное вращение Плутона
- Исправлен баг с наличием только нейтронных звёзд в планетарных туманностях
- Исправлена слишком маленькая масса белых карликов
- Исправлен баг с пустыми неправильными (Irr) галактиками
- Исправлен баг с "кубическими звёздными скоплениями"
- Устранён сдвиг указателя выбора и меток относительно планеты
- Устранён сдвиг фона на эффекте гравитационной линзы чёрных дыр и нейтронных звёзд
- Исправлено неправильное вычисление периода обращения колец и лун
- Исправлено неправильное положение центра масс двойных звёзд
- Устранено просвечивание частиц астероидов сквозь близкую планету
- Исправлен баг с BBox'ами патчей ландшафта: теперь возможно использовать LOD 0
- Исправлен неправльный порядок рендера прозрачных слоёв облаков
- Исправлено падение при первом запуске при отсутствии модели Млечного Пути в кэше
- Исправлено чрезмерное потребление оперативной памяти
- Исправлено исчезновение ярких звёзд при движении с большой скоростью

================================= Версия 0.9.4.0 === (11.06.2011) =================================

Изменения и добавления:
- Процедурные тройные и кратные звёзды
- Процедурные планеты вокруг барицентров кратных звёзд
- Изменены правила именования звезд, планет и лун в процедурных планетных системах
- Изменен браузер планетной системы
- Локализация на русский язык, возможность локализации на другие языки
- Шрифты с символами разной ширины
- Описание классов звезд
- Различные изменения в интерфейсе
- Ускоренная загрузка ландшафтов
- Возможность инверсии мыши
- Убрана префиксная нотация в конфигах
- Новый режим MotionBlur звёзд: только при движении
- Расчёт плотности и давления атмосферы на планетах
- Расчёт парникового эффекта на планетах
- Улучшены цвета звёзд
- Планеты с большим эксцентриситетом орбиты
- Изменён знак LOD планет: +3 максимальная детализация, -3 минимальная
- Эффект гравитационной линзы для чёрных дыр и нейтронных звёзд
- Сверхмассивные чёрные дыры в центрах галактик и шаровых скоплений (пока без аккреционных дисков и джетов)
- Ближайшие к сверхмассивной чёрной дыре звёзды движутся по орбитам вокруг неё
- Пояса астероидов (на данном этапе лимит 3000 астероидов на систему)
- Указатель на выбранный объект в виде крестика и стрелки

Исправления ошибок:
- Устранёна главная причина падений (неправильный расчёт использованной памяти)
- Устранен перерасход памяти из-за использования текстур с разрешением, не кратным степени двойки
- Уменьшено минимальное расстояние до галактики для начала генерации процедурных звёзд
- Уменьшена чрезмерная плотность звёзд в маленьких галактиках
- Исправлен глюк с записью лишних пробелов в координатах в конфиге юзера
- Исправлен баг с невозможностью выделить туманность
- Исправлен баг с неправильной яркостью туманности в режиме Auto exposure
- Исправлено неправильное чтение скриптов с Linux-стилем конца строки
- Устранено падение производительности при задании тысяч астероидов и комет в планетной системе
- Исправлен глюк с влиянием эффекта Bloom на интерфейс
- Исправлен показ информации о количестве планет у звезды
- Устранено неправильное рисование маркера барицентра (за галактикой)
- Исправлена плотность облаков на сухих террах
- Устранён показ греческих аббревиатур вместо греческих символов в журнале автопилота и диалоге локаций
- Устранено мигание при попадании солнца в поле зрения на планете с атмосферой
- Исправлено неправильное определение температурного класса планеты при создании системы
- Устранён выбор неправильного тела в браузере солнечной системы при наличии в каталоге нескольких тел с одинаковым именем
- Устранён перенос строки и сброс регистра шрифта в ячейках таблиц
- Устранено изменение направления полёта при переключении между режимами Spacecraft и Aircraft
- Уменьшен z-файтинг на моделях красных гигантов
- Уменьшен z-файтинг на планетах при взгляде издалека и в телескоп
- Исправлена ошибка с неверным удалением звёзд при задании скриптового каталога
- Устранена потеря точности трансформации вершин при движении камеры очень близко к поверхности планеты
- Исправлена яркость бликов на ледяных поверхностях
- Исправлено пропадание блоков ландшафта при резком повороте или ускорении времени

================================= Версия 0.9.3.0 === (24.04.2011) =================================

Изменения и добавления:
- Добавлено автоматическое определение занятой видеопамяти в рантайме
- Нажатие [Esc] отменяет автопилот и вызывает меню
- Изменён вид некоторых типов планет и увеличена детализация
- Изменён вид красных гигантов
- Увеличена детализация планет
- Добавлена настройка отключения теней от колец на небе (т.к. формально этот эффект неправильный)
- При отключении режима HDR освобождается память, занятая float буфферами
- Введена поддержка рендера в fish eye проекции (бэта тест)
- Режим Auto exposure отделён от режима автонастройки яркости галактик при полёте в межгалактическом пространстве
- Введена возможность отключить процедурное раздвоение звёзд каталога (r_star_ProcBifurcation в main.cfg)

Исправления ошибок:
- Устранены падения из-за неправильного определения объёма занятой видеопамяти
- Исправлено мигание солнечных lens flare и инверсия цветов
- Исправлена ошибка с позицией центра масс двойной звезды
- Исправлено мигание галактик и увеличение яркости скоплений и туманостей в режиме автонастройки яркости галактик

================================= Версия 0.9.1.0 === (29.03.2011) =================================

Изменения и добавления:
- Изменено назначение клавиш '[' и ']'
- Изменён вид журнала путешествий
- Сокращено количество шейдеров планет

Исправления ошибок:
- Исправлены баги с сохранением скриншотов
- Исправлен глюк с затмениями очень далёких солнц
- Исправлена ошибка с плотностью звёздных скоплений в других галактиках
- Исправлен баг с мешами "плоских" планет
- Исправлен баг с "промахом" автопилота мимо планет и неточной привязкой камеры к ним
- Исправлен баг с отсутствием изображений планет в Браузере солнечной системы, когда камера находится в межзвёздном пространстве

================================= Версия 0.9.0.0 === (06.03.2011) =================================

Изменения и добавления:
- Доделан динамический кэш процедурных звёзд
- Видеопамять автоматически распределяется между процедурными звёздами, текстурами и мешами планет
- Автоматически определяется объём доступной видеопамяти на ATI и NVidia
- Тонкая настройка параметров HDR в меню
- Два режима автопилота: при первом вызове медленный полёт, при втором - быстрый
- Журнал автопилота
- Переключение между режимами "Spacecraft" и "Aircraft" не обнуляет скорость
- Состояния остановки времени запоминается при выходе
- Изменена текстура lens flare
- В Браузере солнечной системы планеты показываются с освещением сбоку
- Улучшен внешний вид твёрдых планет и газовых гигантов
- Многослойные облака у газовых гигантов
- Вращение облачного слоя вокруг планеты, дифференциальное вращение газовых гигантов
- Поверхность планет со сплошным непрозрачным слоем облаков (Венера, Титан) не рендерится, пока камера над облакми
- Введена классификация планет по температуре
- Цвет атмосферы и облаков газовых гигантов зависит от эффективной температуры
- Плотные атмосферы для газовых гигантов
- Фейковое потемнение при погружении вглубь атмосферы газового гиганта
- Процедурная генерация цветовой карты у планет, имеющих только карту высот
- Возможность "терраформирования" известных планет с помощью процедурной генерации цветовой карты
- Добавлены кольца Юпитера
- Обновлен каталог открытых экзопланет
- Введено ограничение предельной звёздной величины для генерации (не рендера) процедурных звёзд при зуме или увеличении предельной величины
- Предзагрузка моделей близких галактик при старте программы
- Солнечные затмения учитываются при расчёте звёздной величины планет и лун
- Солнечные затмения учитываются при расчёте яркости спрайтов далёких планеты и луны
- Изменён рендер звёзд в режиме "Points": размер точки пропорционален яркости
- Размер звёзд в режиме "Points" можно настраивать в меню
- Улучшен вид туманностей, сделаны некоторые оптимизации
- Добавлены звёзды, ассоциированные с туманностями (ядра планетарных туманностей, подсвечивающие звёзды диффузных туманностей)
- Процедурные текстуры поверхности звёзд
- Атмосферы звёзд с эффектами освещения другими звёздами в кратных системах
- Некоторые изменения формата скриптов, новые параметры в конфиг-скриптах

Исправления ошибок:
- Исправлены глюки с HDR
- Исправлен глюк с показом неправильных изображений в Браузере солнечной системы
- Исправлены щели в рельефе (юбки по периметру патчей)
- Исправлен блендинг облаков с поверхностью в режиме HDR
- Исправлена ошибка с отсутствием атмосферы и облаков у экзопланет планет из каталога
- Исправлены глюки со звёздными скоплениями
- Исправлен глюк с необновлением граней скайбоксов
- Исправлено отображение координатной сетки

================================= Версия 0.8.5.0 === (04.01.2011) =================================

Изменения и добавления:
- Автоматическое определение объёма видеопамяти на NVidia
- Автоматическое распределение видеопамяти между патчами ландшафта, текстурами и процедурными звёздами
- Возможность настроить LOD ландшафта в меню настроек графики
- Колёсико мышки меняет скорость/ускорение полета, зум - Shift+колёсико
- Средняя кнопка мыши переключает FOV с 60 градусов на 20

================================= Версия 0.8.4.0 === (01.01.2011) =================================

Изменения и добавления:
- Переход на GLSL шейдеры, поддержка видеокарт ATI
- Процедурная генерация текстур планет на GPU
- Браузер солнечной системы
- Освещение звёзд друг другом в тесных двойных системах

================================= Версия 0.7.4.0 === (19.06.2010) =================================

Первый публичный релиз
